package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:atd:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Atd {

        //Internal Unique ID
        private String inr = NULLSTR;

        //Our Reference
        private String ownref = NULLSTR;

        //Date of Payment
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat = NULLDATE;

        //业务种类
        private String bustyp = NULLSTR;

        //汇款人'户性'
        private String acctyp = NULLSTR;

        //汇款人'号
        private String orcact = NULLSTR;

        //发起清算行行号
        private String sbnkno = NULLSTR;

        //接收清算行行号
        private String rbnkno = NULLSTR;

        //接收行行号
        private String rbknum = NULLSTR;

        //收款人'号
        private String pyeact = NULLSTR;

        //发起行行号
        private String sbknum = NULLSTR;

        //闭卷日期
        private String clsdat = NULLSTR;

        //OBJTYP
        private String objtyp = NULLSTR;

        //OBJINR
        private String objinr = NULLSTR;

        //金额
        private  BigDecimal amt  = Decimals.ZERO_SCALE3;

        //币种
        private String cur = NULLSTR;

        //汇款人名称
        private String orcnam = NULLSTR;

        //汇款人地址
        private String orcadr = NULLSTR;

        //收款人名称
        private String pyenam = NULLSTR;

        //收款人地址
        private String pyeadr = NULLSTR;

        //接收行名称
        private String rbknam = NULLSTR;

        //附言
        private String commet = NULLSTR;

        //银行操作码
        private String bnkcod = NULLSTR;

        //委托日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date valdat = NULLDATE;

        //汇款人开户行
        private String sbkopn = NULLSTR;

        //收款人开户行
        private String rbkopn = NULLSTR;

        //报文类型
        private String fmttyp = NULLSTR;

        //汇款人客户号
        private String orcext = NULLSTR;

        //币种代码
        private String curcod = NULLSTR;

        //关联SPT表INR
        private String sptinr = NULLSTR;

        //报文内部编号
        private String baowbh = NULLSTR;

        //交易发起日期
        private String jioyrq = NULLSTR;

        //人行状态
        private String zfxtzt = NULLSTR;

        //相关参考号
        private String xnggbh = NULLSTR;

        //退汇业务编号
        private String thywbh = NULLSTR;

        //原报文参考号
        private String ybwlsh = NULLSTR;

        //原委托日期
        private String ynjyrq = NULLSTR;

        //原FMT类型
        private String smsglx = NULLSTR;

        //退汇原因
        private String xinx01 = NULLSTR;

        //来报定向录入信息
        private String xinx02 = NULLSTR;

        //入'日期
        private String ruzhrq = NULLSTR;

        //借'标志
        private String jiedbz = NULLSTR;

        //国际收支编号
        private String waigch = NULLSTR;

        //国际收支申报
        private String shfobz = NULLSTR;

        //非'款项
        private String myjsbz = NULLSTR;

        //内扣金额
        private  BigDecimal qitaje  = Decimals.ZERO_SCALE2;

        //收款人客户号
        private String pyeext = NULLSTR;

        //收'类型
        private String feetyp = NULLSTR;

        //客户类型
        private String custyp = NULLSTR;

        //营业机构号
        private String yngyjg = NULLSTR;

        //汇款人开户行'号
        private String sbkact = NULLSTR;

        //收款人开户行'号
        private String rbkact = NULLSTR;

        //汇款人开户行NAM
        private String sbkdet = NULLSTR;

        //收款人开户行NAM
        private String rbkdet = NULLSTR;

        //往帐业务类型
        private String paytyp = NULLSTR;

        //扣款'号
        private String zhangh = NULLSTR;

        //原报文编号
        private String baowls = NULLSTR;

        //起息日期
        private String qixirq = NULLSTR;

        //对手国别
        private String guojdm = NULLSTR;

        //汇款人开户行号
        private String zuichk = NULLSTR;

        //收款人开户行号
        private String zhaghh = NULLSTR;

        //接收行行号
        private String zhogjh = NULLSTR;

        //发起清算行行号
        private String fabdlh = NULLSTR;

        //接收清算行行号
        private String sobdlh = NULLSTR;

        //附言2
        private String fuyann = NULLSTR;

        //受益行
        private String shouyh = NULLSTR;

        //业务类型
        private String ywlxdm = NULLSTR;

        //内扣金额（新FXPS）
        private String nkouje = NULLSTR;

        //汇款人开户行名称
        private String hkhhmc = NULLSTR;

        //收款人开户行名称
        private String skhhmc = NULLSTR;

        //第三偿付行信息
        private String rmbdet = NULLSTR;

        //发报行信息
        private String fabaoh = NULLSTR;














































































}