package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:gid:GID - Guarantee Data
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GidNidInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private String inr = NULLSTR;
    private String ownref = NULLSTR;
    private String hndtyp = NULLSTR;
    private BigDecimal amt;
    private BigDecimal amt1;
    private String cur = NULLSTR;
    private String opentyp = NULLSTR;
    private String opnfrm = NULLSTR;
    private String aplnam = NULLSTR;
    private String bennam = NULLSTR;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndat = NULLDATE;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date orddat = NULLDATE;
    private String gartyp = NULLSTR;
    private int amenbr;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date expdat = NULLDATE;
    //是否对外担保
    private String fingua = NULLSTR;
    private String opetyp = NULLSTR;
    private String purpos = NULLSTR;
    //来源系统
    private String fromflg = NULLSTR;
    //第三方系统编号
    private String othersno = NULLSTR;
    //被担保人名称
    private String grtnam = NULLSTR;
    private String sta = NULLSTR;
    //保函状态，未结清（空）/已结清（结清日期）
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date staDate = NULLDATE;
    private String clssta = NULLSTR;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date liadat = NULLDATE;
    private String garbnk = NULLSTR;
    private int gcdcnt;
    private String issref;
    private int clsgcdcnt;
    private int clswatcnt;
    private String issnam;

}