package com.brilliance.isc.bo;

import com.brilliance.isc.esb.model.clm.ReqCL43;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LimAdd {

    private String inr;
    /**
     * 客户ECIF号[0,40]
     */
    private String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    private String KEHUMC;
    /**
     * 柜员号[0,20]
     */
    private String GUIYID;
    /**
     * 放款审核经办经办机构号[0,40]
     */
    private String JIBAJQ;
    /**
     * 业务品种[0,40]
     */
    private String YWPZHO;
    /**
     * 业务场景[0,10]
     */
    private String YEWUCJ;
    /**
     * 国结交易编码[0,10]
     */
    private String GJJYBM;
    /**
     * 业务编号[0,40]
     */
    private String YEWUNO;
    /**
     * 关联业务编号[0,40]
     */
    private String GLYWBH;
    /**
     * 业务币种[0,40]
     */
    private String BIZHON;
    /**
     * 业务金额[0,24]
     */
    private BigDecimal YEWUJE = BigDecimal.ZERO;
    /**
     * 业务余额[0,24]
     */
    private BigDecimal YEWUYE = BigDecimal.ZERO;
    /**
     * 容差值[0,24]
     */
    private BigDecimal ROCZHI = BigDecimal.ZERO;
    /**
     * 保证金余额[0,24]
     */
    private BigDecimal BZJYUE = BigDecimal.ZERO;
    /**
     * 起始日[0,10]
     */
    private String QISHIR;
    /**
     * 到期日[0,10]
     */
    private String DAOQIR;
    /**
     * 额度类型[0,10]
     */
    private String EDLEIX;
    /**
     * 额度编号[0,40]
     */
    private String EDBHAO;
    /**
     * 是否转授权业务[0,1]
     */
    private String SFZSQYW;
    /**
     * 转授权客户编号[0,40]
     */
    private String ZSQKHBH;
    /**
     * 是否分公司业务[0,1]
     */
    private String SFFGSYW;
    /**
     * 总公司客户编号[0,40]
     */
    private String ZGSKHBH;

    private List<ReqCL43.ItemFCL431> FCL431 = new ArrayList();

    private List<ReqCL43.ItemFCL432> FCL432 = new ArrayList();
    /**
     * 前台流水号
     */
    private String qtlsh;
    /**
     * 操作日期
     */
    private String optdat;
    /**
     * 起头交易
     */
    private String startflg;

    public void reset() {
        if (YEWUJE == null) {
            YEWUJE = BigDecimal.ZERO;
        }
        if (YEWUYE == null) {
            YEWUYE = BigDecimal.ZERO;
        }
        if (ROCZHI == null) {
            ROCZHI = BigDecimal.ZERO;
        }
        if (BZJYUE == null) {
            BZJYUE = BigDecimal.ZERO;
        }
    }
}
