package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:pty:PTY - Party
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Pty {

        //Internal Unique ID of Party
        private String inr = NULLSTR;

        //Address Number
        private String extkey = NULLSTR;

        //External Visible Name
        private String nam = NULLSTR;

        //Type of Party
        private String ptytyp = NULLSTR;

        //User ID of Account Officer
        private String accusr = NULLSTR;

        //Use Accounting of House Bank
        private String hbkaccflg = NULLSTR;

        //Use Conditions of House Bank
        private String hbkconflg = NULLSTR;

        //INR of Associated House Bank
        private String hbkinr = NULLSTR;

        //Use Accounting of Headquarters
        private String heqaccflg = NULLSTR;

        //Use Conditions of Headquarters
        private String heqconflg = NULLSTR;

        //INR of Associated Headquarters
        private String heqinr = NULLSTR;

        //Profit Centre
        private String prfctr = NULLSTR;

        //Identifies Responsible User
        private String resusr = NULLSTR;

        //Risk Class
        private String rskcls = NULLSTR;

        //Risk Country
        private String rskcty = NULLSTR;

        //Risk Textual Description
        private String rsktxt = NULLSTR;

        //Default Language for Communication
        private String uil = NULLSTR;

        //Version
        private String ver = NULLSTR;

        //AKK Business Area
        private String akkbra = NULLSTR;

        //AKK Company ID No.
        private String akkcom = NULLSTR;

        //AKK Region Code
        private String akkreg = NULLSTR;

        //Special L/C Conditions for Party
        private String lidcndflg = NULLSTR;

        //Maximum Duration of L/C
        private  int lidmaxdur ;

        //Special TR Conditions for Party
        private String trdcndflg = NULLSTR;

        //Maximum Total Tenor
        private  int trdtentot ;

        //Initial TR Tenor
        private  int trdtenini ;

        //Maximum Extension Tenor
        private  int trdtenext ;

        //Maximum Number of Extensions
        private  int trdextnmb ;

        //Special BA Conditions for Party
        private String badcndflg = NULLSTR;

        //Maximum Extension Tenor
        private  int badtenext ;

        //Address Status
        private String adrsta = NULLSTR;

        //Customer Specific Selling Rate Type
        private String seltyp = NULLSTR;

        //Customer Specific Buying Rate Type
        private String buytyp = NULLSTR;

        //Service Level Agreement
        private String sla = NULLSTR;

        //Entity Group of Party
        private String etgextkey = NULLSTR;

        //Chinese name
        private String nam1 = NULLSTR;

        //组织机构'码
        private String juscod = NULLSTR;

        //利率
        private  BigDecimal bilvvv  = Decimals.ZERO_SCALE5;

        //'款档'
        private String cunqii = NULLSTR;

        //身份证号码
        private String idcode = NULLSTR;

        //客户类型
        private String idtype = NULLSTR;

        //BCHKEYINR
        private String bchkeyinr = NULLSTR;

        //Credit class of Country
        private String clscty = NULLSTR;

        //Province
        private String procod = NULLSTR;

        //交易主体
        private String trnman = NULLSTR;

        //特殊经济区域
        private String speeco = NULLSTR;

        //Sell rate discount
        private  BigDecimal selrat  = Decimals.ZERO_SCALE2;

        //Buy rate discount
        private  BigDecimal buyrat  = Decimals.ZERO_SCALE2;

        //企业海关十位制编码
        private String bngcod = NULLSTR;

        //ECIFNO
        private String ecifno = NULLSTR;

        //是否电商
        private String dshflg = NULLSTR;

        //�'�金客户类别
        private String crmtyp = NULLSTR;

        //ECIFNO中文名称
        private String ecifnam1 = NULLSTR;

        //ECIFNO组织机构代码
        private String ecifjuscod = NULLSTR;

        //企业规模（国标）
        private String qygmgb = NULLSTR;

        //ocrm日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date khbsdt = NULLDATE;

        private String branchinr = NULLSTR;

        private String sigflg = NULLSTR;

}