package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:usr:USR - User Profile
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Usr {

        //Internal Unique ID of User
        private String inr;

        //User ID
        private String extkey;

        //User Name
        private String nam;

        //Login Disabled
        private String lgiflg;

        //Last Session / Login
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date ssnbegdattim;

        //INR of Last Session
        private String ssninr;

        //Version Counter
        private String ver;

        //Priority Flag to Mark Initial Record
        private String pri;

        //Default/Initial ETY of User
        private String ety;

        //Workgroup of User
        private String usg;

        //Last Display of Diary
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lstdiadat;

        //Release Currency
        private String relcur;

        //Release amount
        private  BigDecimal relamt;

        //2nd Release Amount
        private  BigDecimal relamt2nd;

        //Release Group
        private String relgrp;

        //Phone
        private String tel;

        //Fax Number of User
        private String fax;

        //E-mail Address of User
        private String eml;

        //Organizational Unit for Letters
        private String letoenr;

        //Available Time
        private  BigDecimal quepow  = Decimals.ZERO_SCALE2;

        //Entity of profiledata of User
        private String etyextkey;

        //Organisationseinheit
        private String oenr;

        //Entity Address
        private String etaextkey;

        //Resp.usr
        private String resusrflg;

        //用户状态
        private String secsta;

        private Integer userdetailsid; // 用户详情ID,关联的ec_org_persondetails表

        private String authlevel; // 授权档次

        private String authority; // GISP报文G转S权限
}