package com.brilliance.isc.bo.domlc;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class DitamepBo extends AbstractCommonVo {

    private  String pansta = NULLSTR;
    //Request of Amendment send to
    private  String ramrol = NULLSTR;
    //Label for RAMROL
    private  String ramrollab = NULLSTR;
    //Create Amendment Message
    private  String cre707flg = NULLSTR;
    //Number of Amendment
    private  int amenbr;
    //New Maximum Amount
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal maxamt = Decimals.ZERO_SCALE3;
    //change of engagement:
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal engamt = Decimals.ZERO_SCALE3;
    //Currency of Maximum Amount
    private  String maxcur = NULLSTR;
    //Engagement Currency
    private  String engcur = NULLSTR;
    //Default of Narrative
    private  String nartxtdef = NULLSTR;
    //Oold Value of Narrative
    private  String nartxtold = NULLSTR;
    //reject flg
    private  String rejflg = NULLSTR;
    //reject stream
    private IStream rejstm = new StreamImpl();
    //number
    private  int nbr;
    //cur
    private  String amecur = NULLSTR;
    //amendment amount
    private  BigDecimal ameamt = Decimals.ZERO_SCALE3;
    //date of amendment
    private  String amedat = NULLSTR;
    //reject amendment
    private  String rejbut = NULLSTR;
    //槧运装运地/服务提供低
    private  String hwzydi = NULLSTR;
    //最迟装运/服务提供日
    private  String zchday = NULLSTR;
    //新最迟日期
    private  String newday = NULLSTR;
    //槧物/服务槸易描述)
    private  String hfmdes = NULLSTR;
    //报文类型
    private  String msgtyp = NULLSTR;
    //支持版本2报文标志
    private  String msgflg = NULLSTR;
    //货物 服务金额币种
    private String hfcur = NULLSTR;
    // ditame中的条款修改勾选按钮
    private String hwmsupdate = NULLSTR;
    private String djyqupdate = NULLSTR;
    private String fjtkupdate = NULLSTR;
    private String zsupdate = NULLSTR;
}
