package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @author yangxd
 * @version 1.0
 * @description: 资本项目查询条件
 * @data 2023/7/17 12:58
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CfaSel extends AbstractCommonVo {

    @ApiModelProperty(value = "当前交易码", name = "transName", required = true)
    private String transName = NULLSTR;

    @ApiModelProperty(value = "当前经办人员ID", name = "userId", required = true)
    private String userId = NULLSTR;

    // 当前选择的所属机构号
    private String ownOrgDepartmentNumber;

    /**
     * 记账机构
     */
    private String branchInr;
    /**
     * 每页大小
     */
    private Integer pageSize;

    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
      * 申报类型
      */
    private String cfatyp;

    /**
      * 查询日期类型
      */
    private String dattyp;

    /**
     * 起始日期
     */
    private Date frmdat;

    /**
      * 业务情况
      */
    private String staflg;

    /**
     * 业务所属行
     */
    private String ownextkey;

    /**
     * 终止日期
     */
    private Date tildat;

    /**
     * 业务编号
     */
    private String ownref;

    /**
     * 客户名称
     */
    private String ptynam;

    /**
     * 申报号码
     */
    private String rptno;

    /**
     * 笔数
     */
    private int sum;


}
