package com.brilliance.isc.common.rmbbop.entity;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:tgf:期货信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tgf extends AbstractCommonVo {
    //Internal Unique ID
    private String inr = NULLSTR;

    //Version
    private String ver = NULLSTR;

    //objtyp
    private String objtyp = NULLSTR;

    //objinr
    private String objinr = NULLSTR;

    //人行报送状态
    private String sta = NULLSTR;

    //明细操作类型
    private String listopertype = NULLSTR;

    //明细主键
    private  int seqno ;

    //合约金额
    private BigDecimal contractamt  = Decimals.ZERO_SCALE2;

    //交易日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date tradedate = NULLDATE;

    //到期日
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date enddate = NULLDATE;

    //交易方向
    private String tradedirection = NULLSTR;

    //数据状态
    private String csta = NULLSTR;

    //确认
    private String acp;

}
