package com.brilliance.isc.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * 电证收报配置类
 */
@Component
@ConfigurationProperties(prefix = "elc.rcv")
@PropertySource("classpath:cfg/tcitsk.properties")
@Setter
@Getter
public class ElcRcvConfig {

    /**
     * 收报文件目录
     */
    private String filDir;

    /**
     * 处理成功文件存放目录
     */
    private String sucDir;

    /**
     * 处理失败文件存放目录
     */
    private String errDir;

    /**
     * 交易编码格式
     */
    private String encoding;

    /**
     * bak文件目录
     */
    private String bakDir;

    /**
     * 跳过的文件目录
     */
    private String skipDir;

    /**
     * 收报目录
     */
    private String rcvDir;
}
