package com.brilliance.isc.transfer.transaction;

import com.brilliance.isc.bo.lg.FcncanStoreBo;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.vo.lg.FcncanStoreVo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = "spring",uses = {
        IGctMapper.class, IGitMapper.class,
        INitMapper.class, INctMapper.class, IOtherModMapper.class}
)
public interface FcncanStructMapper extends IBaseStructMapper<FcncanStoreBo, FcncanStoreVo> {

    /**
     * 此行语句一定要写，StructMapper需要
     */
    FcncanStructMapper INSTANCE = Mappers.getMapper(FcncanStructMapper.class);

    /**
     * Vo转为Bo
     *
     * @param vo
     * @return 返回业务Bo
     */
    @Override
    FcncanStoreBo voTransferToBo(FcncanStoreVo vo);

    /**
     * Vo追加更新至Bo
     * 忽略oldgrp的复制
     * @param vo
     * @param bo
     */
    @Override
    @Mapping(target = "fcngrp", ignore = true)
    void voUpdateToBo(FcncanStoreVo vo, @MappingTarget FcncanStoreBo bo);

    /**
     * Bo转为Vo
     *
     * @param bo
     * @return 返回Vo
     */
    @Override
    FcncanStoreVo boTransferToVo(FcncanStoreBo bo);

    /**
     * bo追加更新至Bo
     *
     * @param bo
     * @param vo
     */
    @Override
    void boUpdateToVo(FcncanStoreBo bo, @MappingTarget FcncanStoreVo vo);
}
