package com.brilliance.isc.vo.lg;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @BelongsProject: isc-common
 * @BelongsPackage: com.brilliance.isc.vo.lg
 * @Author: glb
 * @CreateTime: 2023-09-26 10:09
 * @Description: TODO
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfswfQsLbVo {
    // 主键
    private String inr;
    // 清算报文的清算编号
    private String sysno;
    // 保函业务编号
    private String ownref;
    // 报文类型
    private String msgtyp;
    // 原报文类型
    private String orimsgtyp;
    // 接收日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rcvdat;
    // 核心转报日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inidat;
    // 相关币种
    private String relcur;
    // 相关金额
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    @DecimalLength(3)
    private BigDecimal relamt;
    // 报文状态
    private String sta;
    // 打印次数
    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal prtcnt;
    // 关联的报文发报行BIC代码
    private String sndkey;
    // 经办柜员
    private String iniusr;
    // 收款人名称
    private String pyenam;
    // 收款人账号
    private String pyeact;
    // 汇款人名称
    private String orcnam;
    // 汇款人地址
    private String orcadr;
    // 关联的业务表主键INR
    private String objinr;
    // 关联的业务表名
    private String objtyp;
    // 关联的面函/报文索引信息表主键INR
    private String smhinr;
    // 关联的系统待处理业务信息表主键INR
    private String sptinr;
    // chlflg
    private String chlflg;
    //spt下存的smhinr
    private String sptsmhinr;
}
