package com.brilliance.isc.esb.model.dbsync;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * TABLE:pty:PTY - Party
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Pty {

    //Internal Unique ID of Party
    private String inr;

    //Address Number
    private String extkey;

    //External Visible Name
    private String nam;

    //Type of Party
    private String ptytyp;

    //User ID of Account Officer
    private String accusr;

    //Use Accounting of House Bank
    private String hbkaccflg;

    //Use Conditions of House Bank
    private String hbkconflg;

    //INR of Associated House Bank
    private String hbkinr;

    //Use Accounting of Headquarters
    private String heqaccflg;

    //Use Conditions of Headquarters
    private String heqconflg;

    //INR of Associated Headquarters
    private String heqinr;

    //Profit Centre
    private String prfctr;

    //Identifies Responsible User
    private String resusr;

    //Risk Class
    private String rskcls;

    //Risk Country
    private String rskcty;

    //Risk Textual Description
    private String rsktxt;

    //Default Language for Communication
    private String uil;

    //Version
    private String ver;

    //AKK Business Area
    private String akkbra;

    //AKK Company ID No.
    private String akkcom;

    //AKK Region Code
    private String akkreg;

    //Special L/C Conditions for Party
    private String lidcndflg;

    //Maximum Duration of L/C
    private int lidmaxdur;

    //Special TR Conditions for Party
    private String trdcndflg;

    //Maximum Total Tenor
    private int trdtentot;

    //Initial TR Tenor
    private int trdtenini;

    //Maximum Extension Tenor
    private int trdtenext;

    //Maximum Number of Extensions
    private int trdextnmb;

    //Special BA Conditions for Party
    private String badcndflg;

    //Maximum Extension Tenor
    private int badtenext;

    //Address Status
    private String adrsta;

    //Customer Specific Selling Rate Type
    private String seltyp;

    //Customer Specific Buying Rate Type
    private String buytyp;

    //Service Level Agreement
    private String sla;

    //Entity Group of Party
    private String etgextkey;

    //Chinese name
    private String nam1;

    //组织机构'码
    private String juscod;

    //利率
    private BigDecimal bilvvv;

    //'款档'
    private String cunqii;

    //身份证号码
    private String idcode;

    //客户类型
    private String idtype;

    //BCHKEYINR
    private String bchkeyinr;

    //Credit class of Country
    private String clscty;

    //Province
    private String procod;

    //交易主体
    private String trnman;

    //特殊经济区域
    private String speeco;

    //Sell rate discount
    private BigDecimal selrat;

    //Buy rate discount
    private BigDecimal buyrat;

    //企业海关十位制编码
    private String bngcod;

    //ECIFNO
    private String ecifno;

    //是否电商
    private String dshflg;

    //�'�金客户类别
    private String crmtyp;

    //ECIFNO中文名称
    private String ecifnam1;

    //ECIFNO组织机构代码
    private String ecifjuscod;

    //企业规模（国标）
    private String qygmgb;

    //ocrm日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date khbsdt;

    private String branchinr;

    private String sigflg;

}
