package com.brilliance.isc.esb.model.ejs;

import com.brilliance.isc.esb.model.AbsEjsRes;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * EjsSyrhglb e结算受益人海关列表响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResEjsSyrhglb extends AbsEjsRes {

    /**
     * 总条数[0,1]
     */
    public String total;

    public List<ItemFejssyrhg> Fejssyrhg = new ArrayList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class ItemFejssyrhg {

        /**
         * 受益人海关代码[0,4]
         */
        public String extkey;

        /**
         * 受益人海关名称[0,100]
         */
        public String bennam;

        /**
         * 受益人海关英文名称[0,100]
         */
        public String engnam;

        /**
         * 受益人地址[0,100]
         */
        public String benadr;

        /**
         * 受益人电话[0,16]
         */
        public String bentel;

        /**
         * 受益人传真[0,30]
         */
        public String benfax;

    }

    public ResEjsSyrhglb() {
    }

    public ResEjsSyrhglb(String total, List<ItemFejssyrhg> fejssyrhg) {
        this.total = total;
        Fejssyrhg = fejssyrhg;
    }
}
