package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 核心系统提供查询境内外币报文状态响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8159 {
    public InnerRes8159() {
    }

    public InnerRes8159(String jiaoym, String baoblj, String cxzobs, String mtdzje, List<Item8159> lst8159) {
        this.jiaoym = jiaoym;
        this.baoblj = baoblj;
        this.cxzobs = cxzobs;
        this.mtdzje = mtdzje;
        this.lst8159 = lst8159;
    }

    /**
     * 报文名
     */
    public String jiaoym;
    /**
     * 打印文件路径
     */
    public String baoblj;
    /**
     * 查询总笔数
     */
    public String cxzobs;
    /**
     * 每天的总金额
     */
    public String mtdzje;

    public List<Item8159> lst8159 = new LinkedList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8159 {
        /**
         * 营业机构号
         */
        public String yngyjg;
        /**
         * 委托日期
         */
        public String weitrq;
        /**
         * 现代支付报文类型
         */
        public String bawelx;
        /**
         * 报文编号
         */
        public String baowbh;
        /**
         * 报文种类
         */
        public String baowzl;
        /**
         * 发报行BIC
         */
        public String fbhbic;
        /**
         * 收报行BIC
         */
        public String sbhbic;
        /**
         * 备用标志1
         */
        public String bybz01;
        /**
         * 备用标志2
         */
        public String bybz02;
        /**
         * 备用标志3
         */
        public String bybz03;
        /**
         * 支付系统状态
         */
        public String zfxtzt;
        /**
         * 对帐标志
         */
        public String duizbz;
        /**
         * 帐号
         */
        public String zhangh;
        /**
         * 销帐序号
         */
        public String xiozxh;
        /**
         * 客户号
         */
        public String kehhao;
        /**
         * 帐户种类
         */
        public String zhhuzl;
        /**
         * 付款人帐号
         */
        public String fukrzh;
        /**
         * 英文名称
         */
        public String ywenmc;
        /**
         * 域英文名称
         */
        public String yuywmc;
        /**
         * 借贷标记
         */
        public String jiedbz;
        /**
         * 货币代号
         */
        public String huobdh;
        /**
         * 交易金额
         */
        public String jioyje;
        /**
         * 收款人帐号
         */
        public String shkrzh;
        /**
         * 中文名称
         */
        public String zwenmc;
        /**
         * 拼音名称
         */
        public String pyinmc;
        /**
         * 收/付款经办柜员流水号
         */
        public String sfjbls;
        /**
         * 收/付款复核柜员流水号
         */
        public String sffhls;
        /**
         * 挂帐柜员流水号
         */
        public String gzgyls;
        /**
         * 封装序号
         */
        public String fenzxh;
        /**
         * 复核柜员流水号
         */
        public String fhgyls;
        /**
         * 交易流水号
         */
        public String jioyls;
        /**
         * 相关业务编号
         */
        public String xnggbh;
        /**
         * 业务编号
         */
        public String yewubh;
        /**
         * 发报行业务编号
         */
        public String fbhywh;
        /**
         * 现代支付业务种类
         */
        public String yewuzl;
        /**
         * 是否标志
         */
        public String shfobz;
        /**
         * 外管业务参号
         */
        public String waigch;
        /**
         * 资金清算标志
         */
        public String zjqsbz;
        /**
         * 汇款人
         */
        public String huikrr;
        /**
         * 渠道号
         */
        public String qudaoo;
        /**
         * 备注
         */
        public String remark;
    }

}
