package com.brilliance.isc.common.taskdistributor.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
public class TaskDistUserRequest {

    /**
     * 用户唯一ID
     */
    @NotBlank(message = "柜员ID不能为空")
    @Pattern(regexp = "\\d{8}", message = "柜员号必须为8位数字")
    private String inr;

    @NotBlank(message = "柜员号不能为空")
    private String extkey;

    /**
     * 姓名
     */
    private String name;

    /**
     * 单证中心
     */
    @NotBlank(message = "机构号不能为空")
    @Pattern(regexp = "\\d{8}", message = "机构号必须为8位数字")
    private String branchinr;

    /**
     * 单证中心名称
     */
    private String branchName;

    /**
     * 业务组别
     */
    private String bizGroup;

    /**
     * 业务岗位
     */
    private String bizPosition;

    /**
     * 经办权限
     */
    private String handlePermission;

    /**
     * 复核权限
     */
    private String reviewPermission;

    /**
     * 指定复核人员
     */
    @Pattern(regexp = "\\d{8}", message = "复核人员柜员号必须为8位数字")
    private String designatedReviewer;

    /**
     * 是否参与任务分配
     */
    @NotBlank(message = "开关选项不能为空")
    @Pattern(regexp = "^[yYnN]$", message = "开关选项必须为Y或者N")
    private String participateFlag;

}
